Bug 1252379 - nfs-ganesha: refresh-config stdout output does not make sense
nfs-ganesha: refresh-config stdout output does not make sense
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: common-ha (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 1254494
  Show dependency treegraph
 
Reported: 2015-08-11 05:36 EDT by Meghana
Modified: 2016-02-17 19:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1254494 (view as bug list)
Environment:
Last Closed: 2015-09-04 07:19:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meghana 2015-08-11 05:36:35 EDT
Description of problem: The output of the refresh-config command does not make any sense


Version-Release number of selected component (if applicable):
glusterfs-3.7


How reproducible:
Always


Steps to Reproduce:
1. Execute the --refresh-config option "../ganesha-ha.sh"
2.
3.

Actual results:

                                                                                     100%  503     0.5KB/s   00:00    
method return sender=:1.61 -> dest=:1.65 reply_serial=2
export.vol3.conf                                                                                                                                                             100%  503     0.5KB/s   00:00    
method return sender=:1.62 -> dest=:1.66 reply_serial=2
export.vol3.conf                                                                                                                                                             100%  503     0.5KB/s   00:00    
method return sender=:1.62 -> dest=:1.66 reply_serial=2
method return sender=:1.71 -> dest=:1.75 reply_serial=2

Expected results:
The user should get appropriate messages that make sense


Additional info:
Comment 1 Anand Avati 2015-08-12 05:59:30 EDT
REVIEW: http://review.gluster.org/11893 (common-ha : refresh-config should print sensible output) posted (#2) for review on master by Meghana M (mmadhusu@redhat.com)
Comment 4 Niels de Vos 2015-09-04 07:19:58 EDT
Plans of merging common-ha on master. Hence, all the current HA implementation bits will be removed. Fixes for current implementation will only go to 3.7

Note You need to log in before you can comment on or make changes to this bug.